Page 1 of 1

[Resolved] VirtualBox 6.0.8/Mac OS 10.14.5 - Unable to Virtualize SAS University Edition

PostPosted: 17. May 2019, 21:19
by curtiser
Hello,

I recently upgraded to Mac OS X Mojave 10.14.5. I also upgraded to VirtualBox Version 6.0.8 r130520 (Qt5.6.3).

I'm unable to virtualize the SAS University Edition (it has been working in all previous VirtualBox versions until now).

I get two types of errors:
Kernel driver not installed (rc=-1908)
Make sure the kernel module has been loaded successfully.
where: suplibOsInit what: 3 VERR_VM_DRIVER_NOT_INSTALLED (-1908) - The support driver is not installed. On linux, open returned ENOENT.

and this:
The virtual machine 'SAS University Edition' has terminated unexpectedly during startup with exit code 1 (0x1).

Result Code: NS_ERROR_FAILURE (0x80004005)
Component: MachineWrap
Interface: IMachine {<deleted>}

How do I fix this? Thanks.

Curtis

Re: VirtualBox 6.0.8/Mac OS 10.14.5 - Unable to Virtualize SAS University Edition

PostPosted: 18. May 2019, 10:16
by socratis
  1. This is not an "OSX Guests" question, moving to "OSX Hosts".
  2. You didn't actually install VirtualBox, it was rejected during installation, that's why you get the rc=-1908 error.
  3. Please see https://www.virtualbox.org/ticket/18645

Re: VirtualBox 6.0.8/Mac OS 10.14.5 - Unable to Virtualize SAS University Edition

PostPosted: 19. May 2019, 17:38
by curtiser
Thanks. That linked article does what I need to do.

Re: VirtualBox 6.0.8/Mac OS 10.14.5 - Unable to Virtualize SAS University Edition

PostPosted: 19. May 2019, 17:42
by socratis
Thanks for reporting back, marking as [Resolved].